Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ColorizerState Class Reference

`#include <stdservice.h>`

List of all members.

## Public Member Functions
| ColorizerState ()
| ColorizerState (in State)
void | reset (in State)
State | getState (void)
State | load (in Bits)
void | save (in State, in Bits)
## Private Attributes
State | m_state
Bits | m_bitsValid

## Constructor & Destructor Documentation

ColorizerState::ColorizerState | ( |  | ) |

| Definition at line 91 of file stdservice_.cpp. References m_bitsValid, and m_state.

ColorizerState::ColorizerState | ( | in | State | ) |

| Definition at line 97 of file stdservice_.cpp. References reset(), and State.

Here is the call graph for this function:

## Member Function Documentation

void ColorizerState::reset | ( | in | State | ) |

| Definition at line 102 of file stdservice_.cpp. References m_bitsValid, m_state, MaxBitsValid, and State. Referenced by ColorizerState().

State ColorizerState::getState | ( | void |  | ) |

| Definition at line 108 of file stdservice_.cpp. References m_state, and State. Referenced by StdService::doneBuffer().

State ColorizerState::load | ( | in | Bits | ) |

| Definition at line 113 of file stdservice_.cpp. References ASSERT, Bits, m_bitsValid, m_state, and State.

void ColorizerState::save | ( | in | State,
|  | in | Bits
| ) |

| Definition at line 124 of file stdservice_.cpp. References ASSERT, Bits, m_bitsValid, m_state, MaxBitsValid, and State.

## Member Data Documentation

State ColorizerState::m_state`[private]`

| Definition at line 43 of file stdservice.h. Referenced by ColorizerState(), getState(), load(), reset(), and save().

Bits ColorizerState::m_bitsValid`[private]`

| Definition at line 44 of file stdservice.h. Referenced by ColorizerState(), load(), reset(), and save().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/yabsl/vsyabsl/stdservice.h
- Tools/Xabsl2/yabsl/vsyabsl/stdservice_.cpp